#!/usr/local/bin/perl

##############################################################
##                                                          ##
##    General BBS CGI Programme    for Perl   Ver 1.0.1     ##
##                                   Programmed by Cerbe    ##
##                                                          ##
##----------------------------------------------------------##
##                                                          ##
##      1997/12/10  Test Programming                        ##
##      2000/01/10  Additional                              ##
##                                                          ##
##############################################################

# ------ Const Define (User define) ------ 
require "./config.cgi";

# ------ PAGE Information ------
$BODYDESCRPT = '<BODY bgcolor="'.$NTCOLOUR.'" link="'.$NTLINK.'" vlink="'.$NTVLINK.'" alink="'.$NTALINK.'">';

# ------ Get Information ------
	@argv = split(/&/, $ENV{QUERY_STRING});
	$delfilename = $argv[0];
	$delarticle = $argv[1];

# ------ Remove Response ------
	$filename = sprintf("$DATADIR/$delfilename.%3.3d", $delarticle);
	open (INFILE, $filename);
	$acreater = <INFILE>;
	$amailaddr = <INFILE>;
	chop $acreater;
	chop $amailaddr;
	close (INFILE);
	unlink $filename;
	open (OUTFILE, '>'.$filename);
        printf OUTFILE "%s\n", $acreater;
        printf OUTFILE "%s\n", $amailaddr;
	printf OUTFILE "$DELETEMSG\n";
	close(OUTFILE);

# ------ Get Page Information ------
        open (INFILE, "$DATADIR/$delfilename".'.idx');
        $numarticle = <INFILE>;
        $title = <INFILE>;
        $creater = <INFILE>;
        $mailaddr = <INFILE>;
        $createdate = <INFILE>;

        # --- chop 
        chop $numarticle;
        chop $title;
        chop $creater;
        chop $mailaddr;

        $basenote = "";
        while(<INFILE>)
        {
                chop;
                s/\r/<br>/g;
                $basenote = $basenote.$_."\n";
        }
        close (INFILE);



# ------ Output Basenote ------
print <<EOF;
Content-Type: text/html

<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=x-euc-jp">
<HTML>
<HEAD>
<TITLE> $title </TITLE>
</HEAD>
$BODYDESCRPT
<CENTER> $title (⡼) </CENTER>
<A HREF="$USERURL"> [ۡ] </A>
<A HREF="$CGIURL/pindex.cgi"> [ǥå] </A>
<A HREF="$CGIURL/note.cgi?$delfilename&1"> [̾⡼] </A>
[إ]
<HR><HR>
<TABLE border=1 cellspacing=0 cellpadding=0 width="100%">
<TR>
<TD bgcolor="$BNCOLOUR"><b>BaseNote</b>($numarticle Responses)  -  $createdate  -  $creater </TD>
</TR>
<TR>
<TD bgcolor="$BNCOLOUR"><DL><DD>$basenote</DL></TD>
</TR>
</TABLE>
<HR>
EOF

# ------ Output Responses ------
        print "<DL>";
        $startarticle = $numarticle - (($filepage - 1) * $APP);
        $endarticle = $startarticle - $APP+1;

        $endarticle = 1;
        $startarticle = $numarticle;

        for ($i=$startarticle; $i>=$endarticle; $i--)
        {
                $datafile = sprintf("$DATADIR/$delfilename.%3.3d", $i);
		open (INFILE, $datafile);
	        $acreater = <INFILE>;
		$amailaddr = <INFILE>;
       	        chop $acreate;
               	chop $amailaddr;

                @mtm = stat INFILE;
                ($sec, $min, $hour, $mday, $mon, $year, @waste) = localtime($mtm[9]);
                $mon++;


                $article = "";
                while(<INFILE>)
                {
                       	chop;
                       	s/\r/<br>/g;
                       	$article = $article.$_."\n";
                }

                printf("<DT> <A HREF='$CGIURL/del_art.cgi?$delfilename&$i'> <font color='#ff0000'>  </font> </A>");
		if ( $year < 100 )
		{
                	printf("Res $i - 19%2.2d/$mon/$mday %2.2d:%2.2d - <A HREF='mailto:%s'> $acreater </A>\n", $year, $hour, $min, $amailaddr);
		} else {
                	printf("Res $i - 20%2.2d/$mon/$mday %2.2d:%2.2d - <A HREF='mailto:%s'> $acreater </A>\n", $year-100, $hour, $min, $amailaddr);
		}

                printf("<DD>%s\n", $article);
                printf("<DT><HR>");
                close(INFILE);
	}


# ----- Output Footer -----
print <<EOF3;
</BODY>
<DT><ADDRESS> <A HREF="mailto:$USERMAIL"> $USERMAIL </A> </ADDRESS>
</DL>
EOF3

# ----- End of Script -----



