#!/usr/local/bin/perl

##############################################################
##                                                          ##
##    General BBS CGI Programme    for Perl   Ver 1.0.1     ##
##                                   Programmed by Cerbe    ##
##                                                          ##
##----------------------------------------------------------##
##                                                          ##
##      1997/12/10  Test Programming                        ##
##      2000/01/10  Additional                              ##
##                                                          ##
##############################################################

# ------ Const Define (User define) ------ 
require "./jcode.pl";
require "./config.cgi";

# ------ Query String -----
#	@argv = split(/&/, $ENV{QUERY_STRING});     #  METHOD=POSTξ
	$stdindata = <>;                            #  METHOD=GETξ
	@argv = split(/&/, $stdindata);
	$i = 0;
	foreach( @argv )
	{
		($arg, $val) = split(/=/);
		$val =~ s/\+/ /g;
		$val =~ s/%(..)/pack("C", hex($1))/eg;
		&jcode'convert(*val, $KCODE);
		$array[$i++] = $val;
	}

# ------ Data Copy 1st phase (index.txt) -----
	open (INFILE, "$DATADIR/index.txt");
	open (OUTFILE, '>'."$DATADIR/$TEMPFILE");
	while(<INFILE>)
	{
		print OUTFILE $_;
	}
	close (INFILE);
	unlink "$DATADIR/index.txt";
	
# ------ Append Index File (index.txt) -----
	@tm = localtime(time);
	$filename = sprintf ("%2.2d%3.3d%2.2d%2.2d%2.2d", $tm[5], $tm[8], $tm[2], $tm[1], $tm[0]);

	printf OUTFILE "%s\n", $filename;
	printf OUTFILE "%s\n", $array[0];
	printf OUTFILE "%s\n", $array[1];
	printf OUTFILE "%s\n", $array[2];
	close (OUTFILE);

# ----- Data Copy 2nd phase (index.txt) -----
	open (INFILE, "$DATADIR/$TEMPFILE");
	open (OUTFILE, '>'."$DATADIR/index.txt");
	while(<INFILE>)
	{
		print OUTFILE $_;
	}
	close(INFILE);
	close(OUTFILE);
	unlink "$DATADIR/$TEMPFILE";

# ------ Create IDX File ($filename.idx) ------
	if($tm[5] < 100)
	{
		$createdate = sprintf("%2.2d%2.2d/%2.2d/%2.2d %2.2d:%2.2d", 19, $tm[5], $tm[4]+1, $tm[3], $tm[2], $tm[1]);
	} else {
		$createdate = sprintf("%2.2d%2.2d/%2.2d/%2.2d %2.2d:%2.2d", 20, $tm[5]-100, $tm[4]+1, $tm[3], $tm[2], $tm[1]);
	}
	open (OUTFILE , '>'."$DATADIR/$filename".'.idx');
	printf OUTFILE "%d\n", 0;
	printf OUTFILE "%s\n", $array[0];
	printf OUTFILE "%s\n", $array[1];
	printf OUTFILE "%s\n", $array[2];
	printf OUTFILE "%s\n", $createdate;
	printf OUTFILE "%s\n", $array[3];
	close (OUTFILE);

# ------ Create New DATA File ($filename.dat) ------
#	open (OUTFILE , '>'."$DATADIR/$filename".'.dat');
#	close (OUTFILE);

# ------ Reload BBS Top Page (index.txt) ------
	require "./pindex.cgi";

