#!/usr/local/bin/perl

##############################################################
##                                                          ##
##    General BBS CGI Programme    for Perl   Ver 1.0.1     ##
##                                   Programmed by Cerbe    ##
##                                                          ##
##----------------------------------------------------------##
##                                                          ##
##      1997/12/10  Test Programming                        ##
##      2000/01/10  Additional                              ##
##                                                          ##
##############################################################

# ------ Const Define ------
require "./config.cgi";

# ------ PAGE Information ------
$BODYDESCRPT = '<BODY bgcolor="'.$NTCOLOUR.'" link="'.$NTLINK.'" vlink="'.$NTVLINK.'" alink="'.$NTALINK.'">';

# ------ Query String ------
	@argv = split(/&/, <>);
	($arg, $password) = split(/=/,$argv[0]);
	($arg, $filename) = split(/=/,$argv[1]);
	$filename =~ s/\n//;
	$filename =~ s/\r//;

#------ Check Password ------
	if (($password cmp $PASSWORD) != 0)
	{
print <<ERROREOF;
Content-Type: text/html

<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=x-euc-jp">
<HTML>
<HEAD>
<TITLE> INCORRECT PASSWORD </TITLE>
</HEAD>
$BODYDESCRPT
<H2> <b>Incorrect Password </b></H2>
$POSTERROR
<HR>
</BODY>
<A HREF="mailto:$USERMAIL"> $USERMAIL </A> </ADDRESS>
ERROREOF
        exit;
        }

# ------ Get Page Information ------
	open (INFILE, "$DATADIR/$filename".'.idx');
	$numarticle = <INFILE>;
	$title = <INFILE>;
	$creater = <INFILE>;
	$mailaddr = <INFILE>;
	$createdate = <INFILE>;

	# --- chop 
	chop $numarticle;
	chop $title;
	chop $creater;
	chop $mailaddr;

	$basenote = "";
	while(<INFILE>)
	{
		chop;
		s/\r/<br>/g;
		$basenote = $basenote.$_."\n";
	}
	close (INFILE);

# ------ Output Basenote ------
print <<EOF;
Content-Type: text/html

<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=x-euc-jp">
<HTML>
<HEAD>
<TITLE> $title </TITLE>
</HEAD>
$BODYDESCRPT
<CENTER> <h2><b> $title (⡼) </b></h2> </CENTER>
<A HREF="$USERURL"> [ۡ] </A>
<A HREF="$CGIURL/pindex.cgi"> [ǥå] </A>
<A HREF="$CGIURL/note.cgi?$filename&1"> [̾⡼] </A>
<A HREF="$HTMLDIR/help.html"> [إ] </A>
<HR><HR>
<TABLE border=1 cellspacing=0 cellpadding=0 width="100%">
<TR>
<TD bgcolor="$BNCOLOUR"><b>BaseNote</b>($numarticle Responses)  -  $createdate  -  $creater </TD>
</TR>
<TR>
<TD bgcolor="$BNCOLOUR"><DL><DD>$basenote</DL></TD>
</TR>
</TABLE>
<HR>
EOF

# ------ Output Responses ------
	print "<DL>";
	$startarticle = $numarticle - (($filepage - 1) * $APP);
	$endarticle = $startarticle - $APP+1;

	$endarticle = 1;
	$startarticle = $numarticle;

	for ($i=$startarticle; $i>=$endarticle; $i--)
	{
		$datafile = sprintf("$DATADIR/$filename.%3.3d", $i);
		open (INFILE, $datafile);
		$acreater = <INFILE>;
		$amailaddr = <INFILE>;
		chop $acreater;
		chop $amailaddr;

		@mtm = stat INFILE;
		($sec, $min, $hour, $mday, $mon, $year, @waste) = localtime($mtm[9]);
		$mon++;

		$article = "";
	        while(<INFILE>)
	        {
	                chop;
	                s/\r/<br>/g;
	                $article = $article."<DD>".$_."\n";
	        }

		if( $HDRCOLOUR cmp '-1' )
		{
			printf("<TABLE border=0 cellspacing=0 cellpadding=0 width=\"100%%\"> <TR><TD bgcolor=\"%s\">\n", $HDRCOLOUR);
		}

		if(($amailaddr cmp "") == 0)
		{
			printf("<DT> <A HREF='$CGIURL/del_art.cgi?$filename&$i'> <font color='#ff0000'>  </font> </A>");
			if ( $year < 100 )
			{
				printf("Res $i - 19$year/$mon/$mday %2.2d:%2.2d -  $acreater \n", $hour, $min);
			} else {
				printf("Res $i - 20%2.2d/$mon/$mday %2.2d:%2.2d -  $acreater \n", $year-100, $hour, $min);
			}
		}
		else
		{
			printf("<DT> <A HREF='$CGIURL/del_art.cgi?$filename&$i'> <font color='#ff0000'>  </font> </A>");
			if ( $year < 100 )
			{
				printf("Res $i - 19$year/$mon/$mday %2.2d:%2.2d - <A HREF='mailto:%s'> $acreater </A>\n", $hour, $min, $amailaddr);
			} else {
				printf("Res $i - 20%2.2d/$mon/$mday %2.2d:%2.2d - <A HREF='mailto:%s'> $acreater </A>\n",  $year-100, $hour, $min, $amailaddr);
			}
		}

		if( $HDRCOLOUR cmp '-1' )
		{
			printf("</TD></TR></TABLE>\n");
		}

		if( $ARTCOLOUR cmp '-1' )
		{
			printf("<TABLE border=0 cellspacing=0 cellpadding=0 width=\"100%%\"> <TR><TD bgcolor=\"%s\">\n", $ARTCOLOUR);
		}
		printf("<DD>%s\n", $article);
		if( $ARTCOLOUR cmp '-1' )
		{
			printf("</TD></TR></TABLE>\n");
		}
		printf("<DT><HR>");
		close(INFILE);		
	}


# ----- Output Footer -----
print <<EOF3;
</BODY>
<DT><ADDRESS> <A HREF="mailto:$USERMAIL"> $USERMAIL </A> </ADDRESS>
</DL>
EOF3

# ----- End of Script -----


