#!/usr/local/bin/perl

##############################################################
##                                                          ##
##    General BBS CGI Programme    for Perl   Ver 1.0.1     ##
##                                   Programmed by Cerbe    ##
##                                                          ##
##----------------------------------------------------------##
##                                                          ##
##      1997/12/10  Test Programming                        ##
##      2000/01/10  Additional                              ##
##                                                          ##
##############################################################

# ------ Const Define (User define) ------ 
require "./config.cgi";

# ------ PAGE Information ------
$PAGETITLE = "BBS INDEX";
$PAGECAPTION = "<h2><b>ǥå</b></h2>";
$BODYDESCRPT = '<BODY bgcolor="'.$IDXCOLOUR.'" link="'.$IDXLINK.'" vlink="'.$IDXVLINK.'" alink="'.$IDXALINK.'">';

# ------ Output HTTP Header ------
print <<EOF;
Content-type: text/html

<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=x-euc-jp">
<HTML>
<HEAD>
<TITLE> $PAGETITLE </TITLE>
</HEAD>
$BODYDESCRPT
<CENTER> $PAGECAPTION </CENTER>
<HR>
<A HREF="$USERURL"> [ۡ] </A>
<A HREF="$HTMLDIR/make.html"> [ΡȺ] </A>
<A HREF="$HTMLDIR/help.html"> [إ] </A><BR>

$ENV{HOME}
EOF

# ------ Output BBS INDEX PAGE --------
print <<EOF2;
<TABLE border=1 cellspacing=0 cellpadding=0 width=500>
<TR>
<TD align="center" valign="center"> Ρȥȥ </TD>
<TD align="center" valign="center">  </TD>
<TD align="center" valign="center"> ȯ </TD>
<TD align="center" valign="center"> ǽ </TD>
<TD align="center" valign="center"> ̤ɿ </TD>
</TR>
EOF2

	# --- Read Index
	open (INFILE, "$DATADIR/index.txt");

	while(<INFILE>)
	{
		print "<TR>\n";
		$filename = $_;
		$title = <INFILE>;
		$creater = <INFILE>;
		$mailaddr = <INFILE>;

		# --- Chop Carriage
		chop $filename;
		chop $title;
		chop $creater;
		chop $mailaddr;

		# --- Read Number of Article
		open (INIDX, "$DATADIR/$filename".'.idx');
		$numarticle = <INIDX>;
		chop $numarticle;
		@mtm = stat INIDX;
		($sec, $min, $hour, $mday, $mon, $year, @waste) = localtime($mtm[9]);
		$mon++;
		close (INIDX);
		# --- Read Cookie Data
		$cookiename = "$USERNAME"."$filename";
		$COOKIE{$cookiename} = "";
		if ($ENV{'HTTP_COOKIE'} ne "")
		{
			for $yy (split(/; */, $ENV{'HTTP_COOKIE'}))
			{
				($name, $value) = split(/=/, $yy);
				$value =~ s/%([0-9A-F][0-9A-F])/pack("C", hex($1))/eg;
				$COOKIE{$name} = $value;
			}
		}
		$yetarticle = $numarticle - $COOKIE{$cookiename};

		# --- Output Console
		printf("<TD> <A HREF='$CGIURL/note.cgi?%s&1'> %s </A> </TD>\n", $filename, $title);
		printf("<TD> <A HREF='mailto:%s'> %s </A></TD>\n", $mailaddr, $creater);
		printf("<TD align=right> %s </TD>\n", $numarticle);

		if ( $year < 100 )
		{
			printf("<TD> 19%2.2d/$mon/$mday $hour:$min:$sec </TD>\n", $year);
		} else {
			printf("<TD> 20%2.2d/$mon/$mday $hour:$min:$sec </TD>\n",  $year-100);
		}
		if($yetarticle ne 0)
		{
			printf("<TD bgcolor='#ffeeee' align=right> $yetarticle </TD>\n");	
		}
		else
		{
			printf("<TD align=right> $yetarticle </TD>\n");	
		}
		print "</TR>";
	}
	close (INFILE);
print "</TABLE> <br>";

# ----- Admin Mode ------
print <<EOF3;

<FORM METHOD="GET" ACTION="$CGIURL/pindex_a.cgi">
Password:<INPUT NAME="passwd" size=10> <INPUT TYPE="submit" VALUE="DELETE MODE">
</FORM>
EOF3

# ----- Output Footer -----
print <<EOF4;
<HR>
<ADDRESS> <A HREF="mailto:$USERMAIL"> $USERMAIL </A> </ADDRESS>
EOF4

# ----- End of Script -----

