#!/usr/local/bin/perl

##############################################################
##                                                          ##
##    General BBS CGI Programme    for Perl   Ver 1.0.1     ##
##                                   Programmed by Cerbe    ##
##                                                          ##
##----------------------------------------------------------##
##                                                          ##
##      1997/12/10  Test Programming                        ##
##      2000/01/10  Additional                              ##
##                                                          ##
##############################################################

# ------ Const Define ------
require "./config.cgi";

# ------ PAGE Information ------
$BODYDESCRPT = '<BODY bgcolor="'.$NTCOLOUR.'" link="'.$NTLINK.'" vlink="'.$NTVLINK.'" alink="'.$NTALINK.'">';

# ------ Query String ------
	@argv = split(/&/, $ENV{QUERY_STRING});
	$filename = $argv[0];
	$filepage = $argv[1];
	$nextpage = $filepage + 1;
	$backpage = $filepage - 1;
		
# ------ Get Page Information ------
	open (INFILE, "$DATADIR/$filename".'.idx');
	$numarticle = <INFILE>;
	$title = <INFILE>;
	$creater = <INFILE>;
	$mailaddr = <INFILE>;
	$createdate = <INFILE>;

	# --- chop 
	chop $numarticle;
	chop $title;
	chop $creater;
	chop $mailaddr;

	$basenote = "";
	while(<INFILE>)
	{
		chop;
		s/\r/<br>/g;
		s/%(..)/pack("C", hex($1))/eg;
		$basenote = $basenote.$_."\n";
	}
	close (INFILE);

# ------ Regist Cookie
print "Set-Cookie: ";
print "$filename=$numarticle; ";
print "expires=Sat, 1-Jan-2010 00:00:00 GMT; ";
print "\n";

# ------ Output Basenote ------
print <<EOF;
Content-Type: text/html

<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=x-euc-jp">
<HTML>
<HEAD>
<TITLE> $title </TITLE>
</HEAD>
$BODYDESCRPT
<CENTER> <h2><b> $title </b></h2> </CENTER>
<A HREF="$USERURL"> [ۡ] </A>
<A HREF="$CGIURL/pindex.cgi"> [ǥå] </A>
<A HREF="$CGIURL/note.cgi?$filename&1"> [ǿ] </A>
EOF
	if(((($nextpage-1)*$APP) > $numarticle) || ($filepage == 0))
	{
		printf "[]";
	} else
	{
		printf "<A HREF='$CGIURL/note.cgi?$filename&$nextpage'> [] </A>";
	}

	if($backpage <= 0)
	{
		printf "[]";
	} else
	{
		printf "<A HREF='$CGIURL/note.cgi?$filename&$backpage'> [] </A>";
	}
print <<EOF2;
<A HREF="$CGIURL/note.cgi?$filename&0"> [ɽ] </A>
<A HREF="$CGIURL/postpage.cgi?$filename&0"> [񤭹] </A>
<A HREF="$HTMLDIR/help.html">[إ]</A>
<HR><HR>
<TABLE border=1 cellspacing=0 cellpadding=0 width="100%">
<TR>
<TD bgcolor="$BNCOLOUR"><b>BaseNote</b>($numarticle Responses)  -  $createdate  -  $creater </TD>
</TR>
<TR>
<TD bgcolor="$BNCOLOUR"><DL><DD>$basenote</DL></TD>
</TR>
</TABLE>
<HR>
EOF2

# ------ Output Responses ------
	print "<DL>";
	$startarticle = $numarticle - (($filepage - 1) * $APP);
	$endarticle = $startarticle - $APP+1;

	if ($endarticle < 1)
	{
		$endarticle = 1;
	}
	if ($startarticle > $numarticle)
	{
		$startarticle = $numarticle;
	}

	if ($filepage == 0)
	{
		$startarticle = $numarticle;
		$endarticle = 1;
	}

	for ($i=$startarticle; $i>=$endarticle; $i--)
	{
		$datafile = sprintf("$DATADIR/$filename.%3.3d", $i);
		open (INFILE, $datafile);
		$acreater = <INFILE>;
		$amailaddr = <INFILE>;
		chop $acreater;
		chop $amailaddr;

		@mtm = stat INFILE;
		($sec, $min, $hour, $mday, $mon, $year, @waste) = localtime($mtm[9]);
		$mon++;

		$article = "";
	        while(<INFILE>)
	        {
	                chop;
	                s/\r/<br>/g;
	                $article = $article."<DD>".$_."\n";
	        }

		if( $HDRCOLOUR cmp '-1' )
		{
			printf("<TABLE border=0 cellspacing=0 cellpadding=0 width=\"100%%\"> <TR><TD bgcolor=\"%s\">\n", $HDRCOLOUR);
		}

		if(($amailaddr cmp "") == 0)
		{
			if ( $year < 100 )
			{
				printf("<DT>Res $i - 19%2.2d/$mon/$mday %2.2d:%2.2d - $acreater \n", $year, $hour, $min);
			} else {
				printf("<DT>Res $i - 20%2.2d/$mon/$mday %2.2d:%2.2d - $acreater \n", $year-100, $hour, $min);
			}
		}
		else
		{
			if ( $year < 100 )
			{
				printf("<DT>Res $i - 19%2.2d/$mon/$mday %2.2d:%2.2d - <A HREF='mailto:%s'> $acreater </A>\n", $year, $hour, $min, $amailaddr);
			} else {
				printf("<DT>Res $i - 20%2.2d/$mon/$mday %2.2d:%2.2d - <A HREF='mailto:%s'> $acreater </A>\n", $year-100, $hour, $min, $amailaddr);
			}
		}

		printf(" --- <A HREF='$CGIURL/postpage.cgi?$filename&$i'>[ѽ]</A>\n");

		if( $HDRCOLOUR cmp '-1' )
		{
			printf("</TD></TR></TABLE>\n");
		}

		if( $ARTCOLOUR cmp '-1' )
		{
			printf("<TABLE border=0 cellspacing=0 cellpadding=0 width=\"100%%\"> <TR><TD bgcolor=\"%s\">\n", $ARTCOLOUR);
		}
		printf("<DD>%s\n", $article);

		if( $ARTCOLOUR cmp '-1' )
		{
			printf("</TD></TR></TABLE>\n");
		}
		printf("<DT><HR>");
		close(INFILE);		
	}

# ----- Admin Mode ------
print <<EOF3;

<FORM METHOD="POST" ACTION="$CGIURL/note_a.cgi">
Password:<INPUT NAME="passwd" size=10> <INPUT TYPE="submit" VALUE="DELETE MODE">
<INPUT NAME="filename" TYPE="hidden" VALUE="$filename">
</FORM>
EOF3


# ----- Output Footer -----
print <<EOF3;
</BODY>
<DT><ADDRESS> <A HREF="mailto:$USERMAIL"> $USERMAIL </A> </ADDRESS>
</DL>
EOF3

# ----- End of Script -----


