#!/usr/local/bin/perl

##############################################################
##                                                          ##
##    General BBS CGI Programme    for Perl   Ver 1.0.1     ##
##                                   Programmed by Cerbe    ##
##                                                          ##
##----------------------------------------------------------##
##                                                          ##
##      1997/12/10  Test Programming                        ##
##      2000/01/10  Additional                              ##
##                                                          ##
##############################################################

# ------ Const Define (User define) ------ 
require "./config.cgi";

# ------ PAGE Information ------
$PAGETITLE = "BBS INDEX";
$PAGECAPTION = "<h2><b>ǥå (⡼)</b></h2>";
$BODYDESCRPT = '<BODY bgcolor="'.$IDXCOLOUR.'" link="'.$IDXLINK.'" vlink="'.$IDXVLINK.'" alink="'.$IDXALINK.'">';

# ----- Check Password ------
	@argv = split(/&/, $ENV{QUERY_STRING});
	$i = 0;
	foreach( @argv )
	{
                ($arg, $val) = split(/=/);
                $val =~ s/\+/ /g;
                $val =~ s/%(..)/pack("C", hex($1))/eg;
                $array[$i++] = $val;
        }

	if (($array[0] cmp $PASSWORD) != 0)
	{
print <<ERROREOF;
Content-Type: text/html

<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=x-euc-jp">
<HTML>
<HEAD>
<TITLE> INCORRECT PASSWORD </TITLE>
</HEAD>
$BODYDESCRPT
<H2> <b>Incorrect Password </b></H2>
$POSTERROR
<HR>
</BODY>
<A HREF="mailto:$USERMAIL"> $USERMAIL </A> </ADDRESS>
ERROREOF
	exit;
	}

# ------ Output HTTP Header ------
print <<EOF;
Content-type: text/html

<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=x-euc-jp">
<HTML>
<HEAD>
<TITLE> $PAGETITLE </TITLE>
</HEAD>
$BODYDESCRPT
<CENTER> $PAGECAPTION </CENTER>
<HR>
<A HREF="$USERURL"> [ۡ] </A>
<A HREF="$HTMLDIR/make.html"> [ΡȺ] </A>
<A HREF="$CGIURL/pindex.cgi"> [̾⡼] </A>
<A HREF="$HTMLDIR/help.html"> [إ] </A> <BR>

$ENV{HOME}
EOF

# ------ Output BBS INDEX PAGE --------
print <<EOF2;
<TABLE border=1 cellspacing=0 cellpadding=0 width=500>
<TR>
<TD align="center" valign="center">  </TD>
<TD align="center" valign="center"> Ρȥȥ </TD>
<TD align="center" valign="center">  </TD>
<TD align="center" valign="center"> ȯ </TD>
<TD align="center" valign="center"> ǽ </TD>
</TR>
EOF2

	# --- Read Index
	open (INFILE, "$DATADIR/index.txt");

	$i = 0;
	while(<INFILE>)
	{
		print "<TR>\n";
		$filename = $_;
		$title = <INFILE>;
		$creater = <INFILE>;
		$mailaddr = <INFILE>;

		# --- Chop Carriage
		chop $filename;
		chop $title;
		chop $creater;
		chop $mailaddr;

		# --- Read Number of Article
		open (INIDX, "$DATADIR/$filename".'.idx');
		$numarticle = <INIDX>;
		chop $numarticle;
		@mtm = stat INIDX;
		($sec, $min, $hour, $mday, $mon, $year, @waste) = localtime($mtm[9]);
		$mon++;
		close (INIDX);

		# --- Output Console
		printf("<TD> <A HREF='$CGIURL/del_idx.cgi?$i'> <font color='#ff0000'>  </font> </A></TD>\n");
		printf("<TD> <A HREF='$CGIURL/note.cgi?%s&1'> %s </A> </TD>\n", $filename, $title);
		printf("<TD> <A HREF='mailto:%s'> %s </A></TD>\n", $mailaddr, $creater);
		printf("<TD align=right> %s </TD>\n", $numarticle);
		if ( $year < 100 )
		{
			printf("<TD> 19%2.2d/$mon/$mday $hour:$min:$sec </TD>\n", $year);
		} else {
			printf("<TD> 20%2.2d/$mon/$mday $hour:$min:$sec </TD>\n", $year-100);
		}

		print "</TR>";
		$i++;
	}
	close (INFILE);
print "</TABLE>";

# ----- Output Footer -----
print <<EOF3;
<HR>
<ADDRESS> <A HREF="mailto:$USERMAIL"> $USERMAIL </A> </ADDRESS>
EOF3

# ----- End of Script -----

