#!/usr/local/bin/perl

##############################################################
##                                                          ##
##    General BBS CGI Programme    for Perl   Ver 1.0.1     ##
##                                   Programmed by Cerbe    ##
##                                                          ##
##----------------------------------------------------------##
##                                                          ##
##      1997/12/10  Test Programming                        ##
##      2000/01/10  Additional                              ##
##                                                          ##
##############################################################

# ------ Const Define (User define) ------ 
require "config.cgi";
require "jcode.pl";

# ------ PAGE Information ------
$BODYDESCRPT = '<BODY bgcolor="'.$NTCOLOUR.'" link="'.$NTLINK.'" vlink="'.$NTVLINK.'" alink="'.$NTALINK.'">';

# ------ Query String -----
#	@argv = split(/&/, $ENV{QUERY_STRING});     #  METHOD=POSTξ
	$stdindata = <>;                            #  METHOD=GETξ
	@argv = split(/&/, $stdindata);
	$i = 0;
	foreach( @argv )
	{
		($arg, $val) = split(/=/);
		$val =~ s/\+/ /g;
		$val =~ s/%(..)/pack("C", hex($1))/eg;
		&jcode'convert(*val, $KCODE);
		$array[$i++] = $val;
	}
	$array[3] =~ s/\n//;	
	$array[3] =~ s/\r//;	

# ------ Regist Cookie ------
$PostName = $array[0];
$PostAddr = $array[1];
$PostName =~ s/([;, ])/sprintf("%%%02x", unpack("C", $1))/eg;
$PostAddr =~ s/([;, ])/sprintf("%%%02x", unpack("C", $1))/eg;

print "Set-Cookie: ";
print "BBSPostName=$PostName; ";
print "expires=Sat, 1-Jan-2010 00:00:00 GMT; ";
print "\n";

print "Set-Cookie: ";
print "BBSPostMailAddr=$PostAddr; ";
print "expires=Sat, 1-Jan-2010 00:00:00 GMT; ";
print "\n";

# ------ Title Check -------
	if(($array[0] cmp "") == 0)
	{
print <<ERROREOF;
Content-Type: text/html

<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=x-euc-jp">
<HTML>
<HEAD>
<TITLE> Error!! </TITLE>
</HEAD>
$BODYDESCRPT
<H2> <b>Error!! </b></H2>
̾ɬϤƤ<br>
$POSTERROR
$array[0]
<HR>
</BODY>
<A HREF="mailto:$USERMAIL"> $USERMAIL </A> </ADDRESS>
ERROREOF
	exit;
	}

# ------ Get Index Information ------
        open (INFILE, "$DATADIR/$array[3]".'.idx');
        $numarticle = <INFILE>;
        $title = <INFILE>;
        $creater = <INFILE>;
        $mailaddr = <INFILE>;
        $createdate = <INFILE>;

        # --- chop
        chop $numarticle;
        chop $title;
        chop $creater;
        chop $mailaddr;
	chop $createdate;

        $basenote = "";
        while (<INFILE>)
        {
                $basenote = $basenote.$_;
        }
	chop $basenote;

# ------ Modify Index Information ------
	unlink "$DATADIR/$array[3]".'.idx';
	$numarticle++;
	open (OUTFILE, '>'."$DATADIR/$array[3]".'.idx');
	printf OUTFILE "%d\n", $numarticle;
	printf OUTFILE "%s\n", $title;
	printf OUTFILE "%s\n", $creater;
	printf OUTFILE "%s\n", $mailaddr;
	printf OUTFILE "%s\n", $createdate;
	printf OUTFILE "%s\n", $basenote;
	close (OUTFILE);

# ------ Create Response Data ------
	$filename = sprintf("$DATADIR/$array[3].%3.3d", $numarticle);
	open (OUTFILE, '>'.$filename);
	printf OUTFILE "%s", $array[0];
	printf OUTFILE " <!--%s-->\n", $ENV{'REMOTE_HOST'};
	printf OUTFILE "%s\n", $array[1];
	printf OUTFILE "%s\n", $array[2];
	close (OUTFILE);

# ----- Logging -----
	open (INLOGFILE, "access_log");
	open (LOGFILE, '>'."accesstemp");
	while(<INLOGFILE>)
	{
		printf LOGFILE $_;
	}
	close (INLOGFILE);
	close (LOGFILE);
	unlink "access_log";

	open (INLOGFILE, "accesstemp");
	open (LOGFILE, '>'."access_log");
	while(<INLOGFILE>)
	{
		printf LOGFILE $_;
	}
	
	@tm = localtime(time);
	if ( $tm[5] < 100 )
	{
		$datetime = sprintf("%2.2d%2.2d/%2.2d/%2.2d %2.2d:%2.2d", 19, $tm[5], $tm[4]+1, $tm[3], $tm[2], $tm[1]);
	} else {
		$datetime = sprintf("%2.2d%2.2d/%2.2d/%2.2d %2.2d:%2.2d", 20, $tm[5]-100, $tm[4]+1, $tm[3], $tm[2], $tm[1]);
	}

	printf LOGFILE $ENV{'REMOTE_HOST'}.'---'.$datetime."\n";
	close (LOGFILE);
	close (INLOGFILE);
	unlink "accesstemp";

# ------ Query String ------
        $filename = $array[3];
        $filepage = 1;
        $nextpage = $filepage + 1;
        $backpage = $filepage - 1;

# ------ Get Page Information ------
        open (INFILE, "$DATADIR/$filename".'.idx');
        $numarticle = <INFILE>;
        $title = <INFILE>;
        $creater = <INFILE>;
        $mailaddr = <INFILE>;
        $createdate = <INFILE>;

        # --- chop 
        chop $numarticle;
        chop $title;
        chop $creater;
        chop $mailaddr;

        $basenote = "";
        while(<INFILE>)
        {
                chop;
                s/\r/<br>/g;
                $basenote = $basenote.$_."\n";
        }
        close (INFILE);

# ------ Output Basenote ------
print "Content-Type: text/html\n\n";
print <<EOF;

<META HTTP-EQUIV="Content-Type" CONTENT="text/html;charset=x-euc-jp">
<HTML>
<HEAD>
<TITLE> $title </TITLE>
</HEAD>
$BODYDESCRPT
<CENTER> <h2><b> $title </b></h2></CENTER>
<A HREF="$USERURL"> [ۡ] </A>
<A HREF="$CGIURL/pindex.cgi"> [ǥå] </A>
<A HREF="$CGIURL/note.cgi?$filename&1"> [ǿ] </A>
EOF
        if(((($nextpage-1)*$APP) > $numarticle) || ($filepage == 0))
        {
                printf "[]";
        } else
        {
                printf "<A HREF='$CGIURL/note.cgi?$filename&$nextpage'> [] </A>";
        }

        if($backpage <= 0)
        {
                printf "[]";
        } else
        {
                printf "<A HREF='$CGIURL/note.cgi?$filename&$backpage'> [] </A>";

        }
print <<EOF2;
<A HREF="$CGIURL/note.cgi?$filename&0"> [ɽ] </A>
<A HREF="$CGIURL/postpage.cgi?$filename&0"> [񤭹] </A>
[إ]
<HR><HR>
<TABLE border=1 cellspacing=0 cellpadding=0 width="100%">
<TR>
<TD bgcolor="$BNCOLOUR"><b>BaseNote</b>($numarticle Responses)  -  $createdate - $creater </TD>
</TR>
<TR>
<TD bgcolor="$BNCOLOUR"><DL><DD>$basenote</DL></TD>
</TR>
</TABLE>
<HR>
EOF2

# ------ Output Responses ------
	print "<DL>";
        $startarticle = $numarticle - (($filepage - 1) * $APP);
        $endarticle = $startarticle - $APP+1;
        if ($endarticle < 1)
        {
                $endarticle = 1;
        }
        if ($startarticle > $numarticle)
        {
                $startarticle = $numarticle;
        }

        for ($i=$startarticle; $i>=$endarticle; $i--)
        {
                $datafile = sprintf("$DATADIR/$filename.%3.3d", $i);
                open (INFILE, $datafile);
                $acreater = <INFILE>;
                $amailaddr = <INFILE>;
                chop $acreater;
                chop $amailaddr;

                @mtm = stat INFILE;
                ($sec, $min, $hour, $mday, $mon, $year, @waste) = localtime($mtm[9]);
                $mon++;

                $article = "";
                while(<INFILE>)
                {
                        chop;
                        s/\r/<br>/g;
                        $article = $article."<DD>".$_."\n";
                }

		if( $HDRCOLOUR cmp '-1' )
		{
			printf("<TABLE border=0 cellspacing=0 cellpadding=0 width=\"100%%\"> <TR><TD bgcolor=\"%s\">\n", $HDRCOLOUR);
		}

		if(($amailaddr cmp "") == 0)
		{
			if ( $year < 100 )
			{
                		printf("<DT>Res $i - 19%2.2d/$mon/$mday %2.2d:%2.2d - $acreater \n", $year, $hour, $min);
			} else {
                		printf("<DT>Res $i - 20%2.2d/$mon/$mday %2.2d:%2.2d - $acreater \n", $year-100, $hour, $min);
			}
		}
		else
		{
			if ( $year < 100 )
			{
                		printf("<DT>Res $i - 19%2.2d/$mon/$mday %2.2d:%2.2d - <A HREF='mailto:%s'> $acreater </A>\n", $year, $hour, $min, $amailaddr);
			} else {
                		printf("<DT>Res $i - 20%2.2d/$mon/$mday %2.2d:%2.2d - <A HREF='mailto:%s'> $acreater </A>\n", $year-100, $hour, $min, $amailaddr);
			}
		}

		printf(" --- <A HREF='$CGIURL/postpage.cgi?$filename&$i'>[ѽ]</A>\n");

		if( $HDRCOLOUR cmp '-1' )
		{
			printf("</TD></TR></TABLE>\n");
		}

		if( $ARTCOLOUR cmp '-1' )
		{
			printf("<TABLE border=0 cellspacing=0 cellpadding=0 width=\"100%%\"> <TR><TD bgcolor=\"%s\">\n", $ARTCOLOUR);
		}
                printf("<DD>%s\n", $article);

		if( $ARTCOLOUR cmp '-1' )
		{
			printf("</TD></TR></TABLE>\n");
		}
                printf("<DT><HR>");
                close(INFILE);
        }

# ----- Output Footer -----
print <<EOF3;
</BODY>
<DT><ADDRESS> <A HREF="mailto:$USERMAIL"> $USERMAIL </A> </ADDRESS>
</DL>
EOF3

